package cn.hmsoft.hmplatform.project.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.hmsoft.frame.data.model.FrameOptr;
import cn.hmsoft.hmplatform.project.data.dao.PSchoolDao;
import cn.hmsoft.hmplatform.project.data.model.PSchool;

@Service
public class PSchoolService {

	@Autowired
	private PSchoolDao daoSchool;

	public void addSchool(PSchool school, FrameOptr frameOptr) {
		this.daoSchool.insert(school);
	}

	public void editSchool(PSchool school, FrameOptr frameOptr) {
		this.daoSchool.update(school);
	}

	public void deleteSchool(Integer school_id, FrameOptr frameOptr) {
		this.daoSchool.delete(school_id);
	}
}
